collaborator/urls.py
from django.conf import settings
from django.contrib.auth import views as auth_views

from core.views import (
    logout_view,
    showProfile,
    listCollaborators,
    updateProfile,
)
from django.urls import path


app_name = "collaborator"

urlpatterns = [
    path("list-collaborator/", listCollaborators, name="list-collaborator"),
    path("update-profile-collaborator/<str:pk>", updateProfile, 
         name="update_profile_collaborator",
    ),
    # path("register/", login_page, name="register"),
    path("profile-user/", showProfile, name="profile_user"),
    path("accounts/login/", auth_views.LoginView.as_view(), name="login"),
    path("logout", logout_view, name="logout"),
    # path('logout/', logout, {'next_page': settings.LOGOUT_REDIRECT_URL}, name='logout'),
]

patient/urls.py
from django.conf import settings
from django.contrib.auth import views as auth_views
from django.urls import path

from patient.views import updatePatient

from . import views

app_name = "patient"

urlpatterns = [
    path("patient-list/", views.patientList, name="patient-list"),
    path("show-details/<str:pk>", views.showDetails, name="show-details"),
    path("patient-register/", views.registerPatient, name="patient-register"),
    path("patient-update/<str:pk>", updatePatient, name="patient-update",),
]

project_config/urls.py
from django.conf import settings
from django.conf.urls import url
from django.conf.urls.static import static
from django.contrib import admin
from filebrowser.sites import site
from django.contrib.auth import views as auth_views
from django.urls import include, path

from . import views

urlpatterns = (
    [
        path('admin/filebrowser/', site.urls),
        path("admin/", admin.site.urls),
        path("", views.home, name="home"),
        path("", include("collaborator.urls", namespace="collaborator")),
        path("", include("patient.urls", namespace="patient")),
        path("", include("appointment.urls", namespace="appointments")),
    ]
    + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
)

collaborator/models.py
from django.contrib.auth.models import User
from django.db import models
from django.db.models.signals import post_save
from django.dispatch import receiver
from django.utils.translation import gettext_lazy as _


class Occupation(models.Model):
    class Meta:
        db_table = 'Occupation'
        verbose_name = _('Occupation')
        verbose_name_plural = _('Occupation')

    name = models.CharField(max_length=255, null=False, blank=False, verbose_name=_('name'))
    updateAt = models.DateTimeField(null=False, blank=False, editable=False, auto_now=True)
    createAt = models.DateTimeField(null=False, blank=False, editable=False, auto_now_add=True)

    def __str__(self):
        return self.name


class Profile(models.Model):
    class Meta:
        db_table = 'Profile'
        verbose_name = _('Profile')
        verbose_name_plural = _('Profile')

    SEXO_CHOICES = (
        ('M', _('Male')),
        ('F', _('Female')),
    )

    user = models.OneToOneField(User, on_delete=models.CASCADE, null=True, blank=True, verbose_name=_('User'))
    nome = models.CharField(max_length=100)
    birth_date = models.DateField(null=True, blank=True, verbose_name=_('birth date'))
    sexo = models.CharField(max_length=1, default='', blank=False, null=False, choices=SEXO_CHOICES)
    phone_number = models.CharField(max_length=15, blank=True, null=True, verbose_name=_('phone number'))
    isWhatsapp = models.BooleanField(default=False, verbose_name=_('Is whatsapp'), )
    cpf = models.CharField(max_length=15, blank=True, null=True, unique=True, verbose_name=_('CPF'))
    landline = models.CharField(max_length=15, blank=True, null=True, verbose_name=_('landline'))
    occupation = models.ForeignKey(Occupation, on_delete=models.PROTECT, blank=True, null=True,
                                   verbose_name=_('occupation'))

    updateAt = models.DateTimeField(null=False, blank=False, editable=False, auto_now=True)
    createAt = models.DateTimeField(null=False, blank=False, editable=False, auto_now_add=True)

    def __str__(self):
        return self.nome

    @receiver(post_save, sender=User)
    def create_user_profile(sender, instance, created, **kwargs):
        if created:
            Profile.objects.create(user=instance)

    def birthday(self):
        _birth_date = self.birth_date.strftime('%d/%m/%Y')
        return _birth_date

collaborator/views.py
from django.shortcuts import render

# Create your views here.

collaborator/templates/collaborator/collaborator_list.html
{% extends 'base/base.html' %} {% load static %} {% block content %}

<div class="row wrapper border-bottom bg-white page-heading" style="margin-bottom: 30px;">
    <div class="col-lg-10">
        <h2 class="text-muted profile">Lista de usuarios cadastrados</h2>
    </div>
</div>
    <form action="" method="GET">
    <div class="row">
<!--        <td>-->
<!--            <a class="fa fa-user-plus btn btn-info" href="{% url 'patient:patient-register' %}"-->
<!--               style="margin-bottom: 10px;">-->
<!--                Novo paciente</a>-->
<!--        </td>-->

            <div class="form-group align-right col-md-auto mb-2">
                <label class="sr-only" for="search"></label>
                <input class="form-control" id="search" name="search" placeholder="Pesquisar Usuario" type="text">
            </div>

            <button class="btn btn-primary mb-2" type="submit">Pesquisar</button>

    </div>
        </form>

<div class="table-responsive-md">
    <table class="table table-hover table-bordered">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Nome</th>
                <th scope="col">Sexo</th>
                <th scope="col">Celular</th>
                <th scope="col">whatsapp</th>
                <th scope="col">Telefone Fixo</th>
                <th scope="col">Data de Nascimento</th>
                <th scope="col">Profissão</th>
            </tr>
        </thead>
        {% for profile in profiles %}
        <tbody>
            <th scope="row">{{ profile.id }}</th>
            <td>{{ profile.nome }}</td>
            <td>{{ profile.sexo }}</td>
            <td>{{ profile.phone_number }}</td>
            {% if profile.isWhatsapp %}
            <td><i class="material-icons" style="color:#42A746">check_circle</i></td>
            {%else%}
            <td><i class="material-icons" style="color:#DC3D45">highlight_off</i></td>
            {%endif%}
            <td>{{ profile.landline }}</td>
            <td>{{ profile.birth_date | date:'d/m/Y' }}</td>
            <td>{{ profile.occupation }}</td>
            <td>
                <a href="{% url 'collaborator:update_profile_collaborator' profile.id %}" class="btn btn-info fa fa-edit" title="Editar Usuário"></a>
            </td>
        </tbody>
        {% empty %}
        <div class="alert alert-primary" role="alert">Nenhum colaborador cadastrado.</div>
        {% endfor %}
    </table>

    {% if profiles.has_other_pages %}
<nav aria-label="Page navigation example">
  <ul class="pagination justify-content-center">
    {% if profiles.has_previous %}
    <li class="page-item">
        <a class="page-link" href="?page={{ profiles.previous_page_number }}" aria-label="Previous">
          <span aria-hidden="true">&laquo;</span>
          <span class="sr-only">Previous</span>
        </a>
      </li>
    {% else %}
    <li class="page-item disabled">
        <a class="page-link" href="#" tabindex="-1">&laquo;</a>
      </li>
    {% endif %}
    {% for i in profiles.paginator.page_range %}
      {% if profiles.number == i %}
      <li class="page-item active">
        <a class="page-link" href="#">{{ i }} <span class="sr-only">(current)</span></a>
      </li>
      {% else %}
        <li><a href="?page={{ i }}">{{ i }}</a></li>
      {% endif %}
    {% endfor %}
    {% if profiles.has_next %}
      <li class="page-item">
        <a class="page-link" href="?page={{ profiles.next_page_number }}" aria-label="Next">
          <span aria-hidden="true">&raquo;</span>
          <span class="sr-only">Next</span>
        </a>
      </li>
    {% else %}
    <li class="page-item disabled">
        <a class="page-link" href="#" tabindex="-1">&raquo;</a>
      </li>
    {% endif %}
  </ul>
</nav>
{% endif %}
</div>


{% endblock %}

collaborator/templates/collaborator/profile_user.html
{% extends 'base/base.html' %}
{% load static %}
{% block content %}
{% block css %}
<link href="{% static 'dist/css/base.css' %}" rel="stylesheet">
<link crossorigin="anonymous" href="https://use.fontawesome.com/releases/v5.0.8/css/all.css"
      integrity="sha384-3AB7yXWz4OeoZcPbieVW64vVXEwADiYyAEhwilzWsLw+9FgqpyjjStpPnpBO8o8S" rel="stylesheet">

{% endblock %}

<div class="row wrapper border-bottom bg-white page-heading">
    <div class="col-lg-10">
        <h2 class="text-muted profile">Perfil do Profissional</h2>
        <p class="text-muted" style="margin-bottom: 10px;font-size: 15px;"><strong>Informações sobre o
            profissional</strong></p>
    </div>
</div>
<section class="container mt-4 mb-4">
    <div class="container">
        <div class="row mb-3">
            <div class="col-md-6">
                {% for profile in profile %}
                <div class="d-flex flex-row border rounded">
                    {% if user.get_group_permissions %}
                    <div class="p-0 w-25">
                        <img class="img-thumbnail border-0" height="10"
                             src="https://gtrainer.com.br/images/foto_default.png" style="border-radius: 50%;"
                             width="200">
                    </div>
                    <div class="pl-3 pt-2 pr-2 pb-2 w-75">
                        <h4 class="text-muted">{{ user.profile.nome }}</h4>
                        {% else %}
                        <p class="mb-0"><strong>Nome:</strong><span class="badge badge-warning">
                                Seu perfil ainda não está cadastrado</span></p>
                        {% endif %}

                        <ul class="m-0 float-left" style="list-style: none; margin:0; padding: 0">
                            {% if user.email %}
                            <li class="text-muted"><strong>E-mail:</strong> {{ user.email }}</li>
                            {% else %}
                            <li class="text-muted"><strong>E-mail:</strong><span class="badge badge-danger"> Não possui
                            </span></li>
                            {% endif %}
                            <li class="text-muted"><strong>Profissão: </strong>{{ user.profile.occupation }}</li>
                            <li class="text-muted"><strong>Sexo: </strong>{{ user.profile.sexo }}</li>
                            {% if user.is_active %}
                            <li class="text-muted"><strong>Status: </strong><span class="badge badge-success">ativo
                            </span>
                            <li>
                                {%else%}
                            <li class="text-muted"><strong>Status: </strong><span class="badge badge-Danger">inativo
                        </span>
                            <li>
                                {%endif%}
                            <li class="text-muted"><strong>Ultimo Login: </strong> {{ user.last_login }}</li>
                            <li class="text-muted"><strong>Voçê é funcionario desde: </strong>
                                {{ user.date_joined | date:'d/m/Y' }}
                            </li>
                            <li class="text-muted"><strong>data de aniversario: </strong> {{ user.profile.birth_date |
                                date:'d/m/Y' }}
                            </li>
                            <br><br>
                        </ul>
                        <p class="text-right m-0" style="float: right;"><a
                                class="btn btn-primary"
                                href="{% url 'collaborator:update_profile_collaborator' profile.id %}"><i class="far fa-user"></i>Atualizar dados</a></p>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
    </div>
</section>
{% endblock %}